=== debian/changelog ===
ros-humble-rmw-implementation (2.8.2-1jammy) jammy; urgency=high

  * Build-time RMW selection does not need ament_index_cpp (#210 <https://github.com/ros2/rmw_implementation/issues/210>) (#211 <https://github.com/ros2/rmw_implementation/issues/211>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-rmw-implementation (2.8.1-1jammy) jammy; urgency=high

  * add content-filtered-topic interfaces (#181 <https://github.com/ros2/rmw_implementation/issues/181>)
  * Add rmw_feature_supported() (#204 <https://github.com/ros2/rmw_implementation/issues/204>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-rmw-implementation (2.8.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#161 <https://github.com/ros2/rmw_implementation/issues/161>)
  * Contributors: iRobot ROS

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-rmw-implementation (2.7.1-1jammy) jammy; urgency=high

  * Fix relative path include syntax for cpplint (#203 <https://github.com/ros2/rmw_implementation/issues/203>)
  * Support and prefer exported targets from rmw implementations (#201 <https://github.com/ros2/rmw_implementation/issues/201>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-rmw-implementation (2.7.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#196 <https://github.com/ros2/rmw_implementation/issues/196>)
  * Update maintainers to Audrow Nash and Michael Carroll. (#199 <https://github.com/ros2/rmw_implementation/issues/199>)
  * Contributors: Audrow Nash, mauropasse

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 19 Nov 2021 06:00:00 -0000

ros-humble-rmw-implementation (2.6.1-1jammy) jammy; urgency=high

  * Fix renamed rcpputils header (#198 <https://github.com/ros2/rmw_implementation/issues/198>)
  * Fix rmw_implementation generated documentation (#197 <https://github.com/ros2/rmw_implementation/issues/197>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 06:00:00 -0000

ros-humble-rmw-implementation (2.6.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked. (#188 <https://github.com/ros2/rmw_implementation/issues/188>)
  * Contributors: Barry Xu

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 Aug 2021 05:00:00 -0000

ros-humble-rmw-implementation (2.5.0-1jammy) jammy; urgency=high

  * Attempt to load any available RMW implementation. (#189 <https://github.com/ros2/rmw_implementation/issues/189>)
  * Update includes after rcutils/get_env.h deprecation (#190 <https://github.com/ros2/rmw_implementation/issues/190>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 05 May 2021 05:00:00 -0000

ros-humble-rmw-implementation (2.4.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 16 Apr 2021 05:00:00 -0000

ros-humble-rmw-implementation (2.4.0-1jammy) jammy; urgency=high

  * Unique network flows (#170 <https://github.com/ros2/rmw_implementation/issues/170>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#185 <https://github.com/ros2/rmw_implementation/issues/185>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-rmw-implementation (2.3.0-1jammy) jammy; urgency=high

  * Remove rmw_connext_cpp. (#183 <https://github.com/ros2/rmw_implementation/issues/183>)
  * Add support for rmw_connextdds (#182 <https://github.com/ros2/rmw_implementation/issues/182>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 05:00:00 -0000

ros-humble-rmw-implementation (2.2.0-1jammy) jammy; urgency=high

  * Add function for checking QoS profile compatibility (#180 <https://github.com/ros2/rmw_implementation/issues/180>)
  * Shorten some excessively long lines of CMake (#179 <https://github.com/ros2/rmw_implementation/issues/179>)
  * Add rmw_fastrtps_dynamic_cpp to the explicit group deps (#177 <https://github.com/ros2/rmw_implementation/issues/177>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 08 Mar 2021 06:00:00 -0000

ros-humble-rmw-implementation (2.1.2-1jammy) jammy; urgency=high

  * Accept any RMW implementation, not just the default (#172 <https://github.com/ros2/rmw_implementation/issues/172>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Jan 2021 06:00:00 -0000

ros-humble-rmw-implementation (2.1.1-1jammy) jammy; urgency=high

  * Defer path resolution of rmw implementation libraries to dynamic linker. (#169 <https://github.com/ros2/rmw_implementation/issues/169>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-rmw-implementation (2.1.0-1jammy) jammy; urgency=high

  * Update QD to QL 1 (#166 <https://github.com/ros2/rmw_implementation/issues/166>)
  * Fix up C functions to never throw. (#149 <https://github.com/ros2/rmw_implementation/issues/149>)
  * Restored Dirk as author (#155 <https://github.com/ros2/rmw_implementation/issues/155>)
  * Update maintainers (#154 <https://github.com/ros2/rmw_implementation/issues/154>)
  * Updated performance QD section (#153 <https://github.com/ros2/rmw_implementation/issues/153>)
  * Update Quality Declaration to QL2. (#151 <https://github.com/ros2/rmw_implementation/issues/151>)
  * Add nominal test for symbol prefetch() and unload. (#145 <https://github.com/ros2/rmw_implementation/issues/145>)
  * Added benchmark test to rmw_implementation (#127 <https://github.com/ros2/rmw_implementation/issues/127>)

