## ros-humble-rmw-implementation 2.8.3

=== debian/changelog ===
ros-humble-rmw-implementation (2.8.3-1bookworm) bookworm; urgency=high

  * Update quality declaration document (#225 <https://github.com/ros2/rmw_implementation/issues/225>) (#228 <https://github.com/ros2/rmw_implementation/issues/228>)
  * Contributors: mergify[bot]

 -- William Woodall <william@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rmw-implementation (2.8.2-1bookworm) bookworm; urgency=high

  * Build-time RMW selection does not need ament_index_cpp (#210 <https://github.com/ros2/rmw_implementation/issues/210>) (#211 <https://github.com/ros2/rmw_implementation/issues/211>)
  * Contributors: mergify[bot]

 -- William Woodall <william@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rmw-implementation (2.8.1-1bookworm) bookworm; urgency=high

  * add content-filtered-topic interfaces (#181 <https://github.com/ros2/rmw_implementation/issues/181>)
  * Add rmw_feature_supported() (#204 <https://github.com/ros2/rmw_implementation/issues/204>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-rmw-implementation (2.8.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#161 <https://github.com/ros2/rmw_implementation/issues/161>)
  * Contributors: iRobot ROS

 -- William Woodall <william@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw-implementation (2.7.1-1bookworm) bookworm; urgency=high

  * Fix relative path include syntax for cpplint (#203 <https://github.com/ros2/rmw_implementation/issues/203>)
  * Support and prefer exported targets from rmw implementations (#201 <https://github.com/ros2/rmw_implementation/issues/201>)
  * Contributors: Jacob Perron, Shane Loretz

 -- William Woodall <william@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rmw-implementation (2.7.0-1bookworm) bookworm; urgency=high

  * Add client/service QoS getters. (#196 <https://github.com/ros2/rmw_implementation/issues/196>)
  * Update maintainers to Audrow Nash and Michael Carroll. (#199 <https://github.com/ros2/rmw_implementation/issues/199>)
  * Contributors: Audrow Nash, mauropasse

 -- William Woodall <william@openrobotics.org>  Thu, 18 Nov 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.6.1-1bookworm) bookworm; urgency=high

  * Fix renamed rcpputils header (#198 <https://github.com/ros2/rmw_implementation/issues/198>)
  * Fix rmw_implementation generated documentation (#197 <https://github.com/ros2/rmw_implementation/issues/197>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- William Woodall <william@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.6.0-1bookworm) bookworm; urgency=high

  * Add rmw_publisher_wait_for_all_acked. (#188 <https://github.com/ros2/rmw_implementation/issues/188>)
  * Contributors: Barry Xu

 -- William Woodall <william@openrobotics.org>  Sun, 08 Aug 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.5.0-1bookworm) bookworm; urgency=high

  * Attempt to load any available RMW implementation. (#189 <https://github.com/ros2/rmw_implementation/issues/189>)
  * Update includes after rcutils/get_env.h deprecation (#190 <https://github.com/ros2/rmw_implementation/issues/190>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- William Woodall <william@openrobotics.org>  Tue, 04 May 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.4.1-1bookworm) bookworm; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 15 Apr 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.4.0-1bookworm) bookworm; urgency=high

  * Unique network flows (#170 <https://github.com/ros2/rmw_implementation/issues/170>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#185 <https://github.com/ros2/rmw_implementation/issues/185>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- William Woodall <william@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.3.0-1bookworm) bookworm; urgency=high

  * Remove rmw_connext_cpp. (#183 <https://github.com/ros2/rmw_implementation/issues/183>)
  * Add support for rmw_connextdds (#182 <https://github.com/ros2/rmw_implementation/issues/182>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.2.0-1bookworm) bookworm; urgency=high

  * Add function for checking QoS profile compatibility (#180 <https://github.com/ros2/rmw_implementation/issues/180>)
  * Shorten some excessively long lines of CMake (#179 <https://github.com/ros2/rmw_implementation/issues/179>)
  * Add rmw_fastrtps_dynamic_cpp to the explicit group deps (#177 <https://github.com/ros2/rmw_implementation/issues/177>)
  * Contributors: Jacob Perron, Scott K Logan

 -- William Woodall <william@openrobotics.org>  Sun, 07 Mar 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.1.2-1bookworm) bookworm; urgency=high

  * Accept any RMW implementation, not just the default (#172 <https://github.com/ros2/rmw_implementation/issues/172>)
  * Contributors: Scott K Logan

 -- William Woodall <william@openrobotics.org>  Thu, 28 Jan 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.1.1-1bookworm) bookworm; urgency=high

  * Defer path resolution of rmw implementation libraries to dynamic linker. (#169 <https://github.com/ros2/rmw_implementation/issues/169>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rmw-implementation (2.1.0-1bookworm) bookworm; urgency=high

  * Update QD to QL 1 (#166 <https://github.com/ros2/rmw_implementation/issues/166>)
  * Fix up C functions to never throw. (#149 <https://github.com/ros2/rmw_implementation/issues/149>)
  * Restored Dirk as author (#155 <https://github.com/ros2/rmw_implementation/issues/155>)

